# $Revision: 1.12 $, $Date: 2010/06/30 17:07:10 $

%define		qtver		4.6.3
%define		kdever		4.4.5
%define		snap		1144732
%define		orgname		kwebkitpart

Summary:	kde4-kwebkitpart - QWebkit plugin
Name:		kde4-kwebkitpart
Version:	4.4.5
Release:	0.%{snap}.1
License:	GPL v2
Group:		X11/Libraries
# svn co svn://anonsvn.kde.org/home/kde/trunk/extragear/base/kwebkitpart
Source0:	%{orgname}-%{snap}.tar.gz
# Source0-md5:	1b6ac5eed28f6f22bf7a00a1800f1486
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtUiTools-devel >= %{qtver}
BuildRequires:	QtWebKit-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.293
Obsoletes:	webkitkde
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE part library to use QtWebkit instread of KHTML. It works as plugin
for Konqueror.

%package devel
Summary:	Header files for webkitkde library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki webkitkde
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for kwebkitpart.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla kwebkitpart.

%prep
%setup -q -n %{orgname}-%{snap}

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkwebkit.so.*.*.*
%attr(755,root,root) %{_libdir}/kde4/kwebkitpart.so
%{_datadir}/apps/kwebkitpart
%{_iconsdir}/hicolor/*x*/apps/webkit.png
%{_datadir}/kde4/services/kwebkitpart.desktop

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkwebkit.so
%{_includedir}/KDE/KWebKitPart
%{_includedir}/kwebkit_export.h
%{_includedir}/kwebkitpart.h
%{_datadir}/apps/cmake/modules/FindKWebKitPart.cmake

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kwebkitpart.spec,v $
Revision 1.12  2010/06/30 17:07:10  shadzik
- snap 1144732
- fake version 4.4.5

Revision 1.11  2010/05/28 23:44:52  shadzik
- fake up to 4.4.4

Revision 1.10  2010/05/01 14:32:10  shadzik
- snap 1121512
- kde 4.4.3

Revision 1.9  2010/03/28 19:17:19  shadzik
- 4.4.2 (fake)

Revision 1.8  2010/02/27 18:00:57  shadzik
- fake version up to 4.4.1

Revision 1.7  2010/02/18 19:34:53  glen
- rm changelog of other spec

Revision 1.6  2010/02/18 17:49:50  shadzik
- fix ownership of /usr/share/kwebkitpart

Revision 1.5  2010/02/18 17:48:35  shadzik
- fake version 4.4.0

Revision 1.4  2010/02/18 17:45:44  shadzik
- O: webkitkde

Revision 1.3  2010/02/18 17:44:41  shadzik
- %files

Revision 1.2  2010/02/18 17:40:48  shadzik
- source is in .gz

Revision 1.1  2010/02/18 17:39:41  shadzik
- from webkitkde.spec
